# Pallet The `/track/…` paths are deprecated aliases of the `/pallet/…` endpoints, kept for backward compatibility. They will be removed in a future release; use `/pallet/…` for new integrations. ## Upsert a custom field value on a pallet - [POST /integration/rest/api/v1/pallet/{palletId}/custom-field](https://docs.zimark.link/api/pallet/upsertcustomfield.md): Creates or updates the value for the given custom field key. A blank/null fieldValue clears the existing value. Returns 204 on success. ## Get pallet comments - [GET /integration/rest/api/v1/pallet/{palletId}/comments](https://docs.zimark.link/api/pallet/getcomments.md) ## Add pallet comment - [POST /integration/rest/api/v1/pallet/{palletId}/comments](https://docs.zimark.link/api/pallet/addpalletcomments.md) ## Asynchronously bulk-upsert Pallet fields (SKU, Client, WMS Location, custom fields) - [POST /integration/rest/api/v1/pallet/bulk-upsert](https://docs.zimark.link/api/pallet/bulkupsert_1.md) ## Upsert or clear pallet WMS Location - [PATCH /integration/rest/api/v1/pallet/{palletId}/wms-location](https://docs.zimark.link/api/pallet/updatewmslocation.md) ## Assign or clear pallet SKU - [PATCH /integration/rest/api/v1/pallet/{palletId}/sku](https://docs.zimark.link/api/pallet/updatesku.md) ## Reactivate pallet - [PATCH /integration/rest/api/v1/pallet/{palletId}/revert-retirement](https://docs.zimark.link/api/pallet/revertpalletretirement.md) ## Retire pallet - [PATCH /integration/rest/api/v1/pallet/{palletId}/retire](https://docs.zimark.link/api/pallet/retirepallet.md) ## Assign or clear pallet Client - [PATCH /integration/rest/api/v1/pallet/{palletId}/client](https://docs.zimark.link/api/pallet/updateclient.md) ## Get pallet activity timeline - [GET /integration/rest/api/v1/pallet/{palletId}/activity](https://docs.zimark.link/api/pallet/gettimeline.md) ## Get pallet - [GET /integration/rest/api/v1/pallet](https://docs.zimark.link/api/pallet/getpallets.md) ## Delete pallet - [DELETE /integration/rest/api/v1/pallet/{palletId}](https://docs.zimark.link/api/pallet/deletepallet.md) ## Upsert a custom field value on a pallet (deprecated) - [POST /integration/rest/api/v1/track/{palletId}/custom-field](https://docs.zimark.link/api/pallet/upsertcustomfieldlegacy.md): legacy alias of , kept for backward compatibility and will be removed in a future release. Use that endpoint instead; request and response are identical. Creates or updates the value for the given custom field key. A blank/null fieldValue clears the existing value. Returns 204 on success. ## Get pallet comments (deprecated) - [GET /integration/rest/api/v1/track/{palletId}/comments](https://docs.zimark.link/api/pallet/getcommentslegacy.md): legacy alias of , kept for backward compatibility and will be removed in a future release. Use that endpoint instead; request and response are identical. ## Add pallet comment (deprecated) - [POST /integration/rest/api/v1/track/{palletId}/comments](https://docs.zimark.link/api/pallet/addpalletcommentslegacy.md): legacy alias of , kept for backward compatibility and will be removed in a future release. Use that endpoint instead; request and response are identical. ## Asynchronously bulk-upsert Pallet fields (SKU, Client, WMS Location, custom fields) (deprecated) - [POST /integration/rest/api/v1/track/bulk-upsert](https://docs.zimark.link/api/pallet/bulkupsert_2.md): legacy alias of , kept for backward compatibility and will be removed in a future release. Use that endpoint instead; request and response are identical. ## Upsert or clear pallet WMS Location (deprecated) - [PATCH /integration/rest/api/v1/track/{palletId}/wms-location](https://docs.zimark.link/api/pallet/updatewmslocationlegacy.md): legacy alias of , kept for backward compatibility and will be removed in a future release. Use that endpoint instead; request and response are identical. ## Assign or clear pallet SKU (deprecated) - [PATCH /integration/rest/api/v1/track/{palletId}/sku](https://docs.zimark.link/api/pallet/updateskulegacy.md): legacy alias of , kept for backward compatibility and will be removed in a future release. Use that endpoint instead; request and response are identical. ## Reactivate pallet (deprecated) - [PATCH /integration/rest/api/v1/track/{palletId}/revert-retirement](https://docs.zimark.link/api/pallet/revertpalletretirementlegacy.md): legacy alias of , kept for backward compatibility and will be removed in a future release. Use that endpoint instead; request and response are identical. ## Retire pallet (deprecated) - [PATCH /integration/rest/api/v1/track/{palletId}/retire](https://docs.zimark.link/api/pallet/retirepalletlegacy.md): legacy alias of , kept for backward compatibility and will be removed in a future release. Use that endpoint instead; request and response are identical. ## Assign or clear pallet Client (deprecated) - [PATCH /integration/rest/api/v1/track/{palletId}/client](https://docs.zimark.link/api/pallet/updateclientlegacy.md): legacy alias of , kept for backward compatibility and will be removed in a future release. Use that endpoint instead; request and response are identical. ## Get pallet activity timeline (deprecated) - [GET /integration/rest/api/v1/track/{palletId}/activity](https://docs.zimark.link/api/pallet/gettimelinelegacy.md): legacy alias of , kept for backward compatibility and will be removed in a future release. Use that endpoint instead; request and response are identical. ## Get pallet (deprecated) - [GET /integration/rest/api/v1/track](https://docs.zimark.link/api/pallet/getpalletslegacy.md): legacy alias of , kept for backward compatibility and will be removed in a future release. Use that endpoint instead; request and response are identical. ## Delete pallet (deprecated) - [DELETE /integration/rest/api/v1/track/{palletId}](https://docs.zimark.link/api/pallet/deletepalletlegacy.md): legacy alias of , kept for backward compatibility and will be removed in a future release. Use that endpoint instead; request and response are identical.